CampaignsGet campaign
Campaigns

Get campaign

curl -X GET "https://api.flameup.ai/api/v1/workspaces/example_string/campaigns/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "example_string",
  "workspace_id": "example_string",
  "name": "John Doe",
  "status": "draft",
  "trigger_type": "event",
  "trigger_config": {},
  "audience_config": {},
  "created_at": "2024-12-25T10:00:00Z",
  "updated_at": "2024-12-25T10:00:00Z"
}
GET
/workspaces/{workspaceId}/campaigns/{campaignId}
GET
Bearer Token
Bearer Tokenstring
Required

Your Flameup API key (passed as Bearer token)

Your Flameup API key (passed as Bearer token)
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Your Flameup API key (passed as Bearer token)

Path Parameters

Responses

idstring
workspace_idstring
namestring
statusstring
Allowed values:draftactivepausedcompleted
trigger_typestring
Allowed values:eventwebhookscheduledynamic_schedule
trigger_configobject
audience_configobject
created_atstring
updated_atstring